# Billing Page Testplan

&nbsp;

## Background
This testplan is going to cover the new Billing Page. It will go over the figma design seen here - [Billing Page](https://www.figma.com/file/HlmasFJNHxs2lzGerq3WYH/Satellite-GUI-Public?node-id=11080%3A68109)

&nbsp;

&nbsp;

| Test Scenario                    | Test Cases                          | Description                                                                                                                                                                                                                                                                                                                                                                                                              | Comments |
|----------------------------------|-------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------|
|                                  |                                     |                                                                                                                                                                                                                                                                                                                                                                                                                          |          |
| Billing page - Free tier account | 1. Check elements on Overview tab   | User click "Billing" in dashboard side menu. User proceed to Billing page, Overview tab. Next elements should be presented: "Total costs" - header and text with explanation; Datepicker; 3 blocks - Total Estimated Charges, Free Plan Coupon Usage, Available Balance; Costs by project block with 1 project (only 1 available for Free account); block with link to Upgrading plan                                    |          |
|                                  | 2. Datepicker.                      | Click on Datepicker. Calendar should be opened. User has a possibility to choose period. User can choose period from time account was created and till current date. User can't choose timeperiod in the future.                                                                                                                                                                                                         |          |
|                                  | 3. Total Estimated Charges block.   | Should be presented amount in $ (0 for free tier) and link to Billing history page                                                                                                                                                                                                                                                                                                                                       |          |
|                                  | 4. Free Plan Coupon Usage block.    | Should be shown percentage of coupon usage and link to Coupons Page                                                                                                                                                                                                                                                                                                                                                      |          |
|                                  | 5. Available Balance block.         | Should be shown available balance in $ (0 for free tier) and link to Payment Methods page                                                                                                                                                                                                                                                                                                                                |          |
|                                  | 6. Costs by project block.          | Shold be shown header, project name, esimated cost in $, type of account(Free account) and View Details droplist                                                                                                                                                                                                                                                                                                         |          |
|                                  | 7. View project details.            | Click on "View details" should show details about project costs: Resource(storage,bandwidth, segments), period(current month), usage of each resource and their final costs. Also shoud be shown "Add payment Method" button which redirect user to Payment Method page                                                                                                                                                  |          |
|                                  | 8. Link to Upgrading plan.          | Should be shown description about pros of Pro Account and link to Add payment Method page.                                                                                                                                                                                                                                                                                                                               |          |
|                                  | 9. Payment Methods tab.             | User clicks "Payment Methods tab" on Billing page. Should be shown description about pros of Pro Account, two blocks: STORJ token and Credit Card                                                                                                                                                                                                                                                                        |          |
|                                  | 10. STORJ token block.              | User can see description about bonuses for using storj token and button which provide user to "Add storj token screen"                                                                                                                                                                                                                                                                                                   |          |
|                                  | 11. Credit card block.              | User can see Stripe iframe for feeling CC creds and button Add Credit Card                                                                                                                                                                                                                                                                                                                                               |          |
|                                  | 12. Billing history tab.            | User clicks "Billing history" tab. Table with billing history should be shown. Table has 4 columns: Date, Status, Amount, Download. Table has paginator and droplist where user can choose amount of rows per page.                                                                                                                                                                                                      |          |
|                                  | 13. Invoice.                        | In Download column user can see link to open Stripe invoice                                                                                                                                                                                                                                                                                                                                                              |          |
|                                  | 14. Coupons tab.                    | User clicks "Coupons" tab. User can see applied coupon and it's status, button to Adding another coupon                                                                                                                                                                                                                                                                                                                  |          |
|                                  | 15. Coupons functional              | User can use only one coupon. in case of applying new coupon - the old one should be overwritten.                                                                                                                                                                                                                                                                                                                        |          |
| Adding Payment method flow.      | 16. Add payment method window       | User click on "Add STORJ Token" or "Add Credit Card". Opens "Add Payment Method" dialog with 2 options - "Add STORJ Token" and "Add Credit Card".                                                                                                                                                                                                                                                                        |          |
|                                  | 17. Add Credit Card.                | On "Add Payment Method" dialog user choosing "Add Credit card". Opens Add CC dialog with next input fields: card number, Exp. date, CVV, Zip code; notification about information is secured, Add CC button and Close button.                                                                                                                                                                                            |          |
|                                  | 18. Add CC - functional.            | User fills CC creds and click Add CC button. Congratulations dialog opens. User close dialog. Account should be changed to Pro. All profits of Pro account should be applied.                                                                                                                                                                                                                                            |          |
|                                  | 19. Add Storj Token.                | Add Credit Card. On "Add Payment Method" dialog user choosing "Add Storj token". "Add Storj token" popup opens. User should see Wallet address for sending Storj tokens with "Copy" button and explanation that should they do, QR code with the same address.                                                                                                                                                           |          |
|                                  | 20 Add Storj token - functional.    | User send 50+ Storj tokens to generated address -> their account changes to Pro with all profits of pro account.                                                                                                                                                                                                                                                                                                         |          |
| Billing page - Pro Account       | 21. Check elements on Overview tab. | User click "Billing" in dashboard side menu. User proceed to Billing page, Overview tab. Next elements should be presented: "Total costs" - header and text with explanation; Datepicker; 3 blocks - Total Estimated Charges, Free Plan Coupon Usage, Available Balance; Costs by project block with few project (for Pro account 10? projects are available); block with hint which user can hide by clicking "Dismiss" |          |
|                                  | 22. Datepicker.                     | Click on Datepicker. Calendar should be opened. User has a possibility to choose period. User can choose period from time account was created and till current date. User can't choose timeperiod in the future.                                                                                                                                                                                                         |          |
|                                  | 23. Total Estimated Charges block.  | Should be presented amount in $ and link to Billing history page                                                                                                                                                                                                                                                                                                                                                         |          |
|                                  | 24. Free Plan Coupon Usage block.   | Should be shown percentage of coupon usage and link to Coupons Page. For paid tier 1.65$ coupon still valid                                                                                                                                                                                                                                                                                                              |          |
|                                  | 25. Available Balance block.        | Should be shown available balance in $ and link to Payment Methods page                                                                                                                                                                                                                                                                                                                                                  |          |
|                                  | 26. Costs by project block.         | Should be shown header, project name, esimated cost in $, type of account(Pro account) and View Details droplist                                                                                                                                                                                                                                                                                                         |          |
|                                  | 27. View project details.           | Click on "View details" should show details about project costs: Resource(storage,bandwidth, segments), period(current month), usage of each resource and their final costs. Also shoud be shown "Review Payment Method"? button which redirect user to Payment Method page                                                                                                                                              |          |
|                                  | 28. Payment Methods tab.            | User clicks "Payment Methods tab" on Billing page. Should be shown up to two blocks: Storj Tokens (if added) and Credit Cards (if added)                                                                                                                                                                                                                                                                                 |          |
|                                  | 29. STORJ token block.              | User can see Deposit address and Account Balance in $ and 2 buttons: "See Transactions" and "Add funds"                                                                                                                                                                                                                                                                                                                  |          |
|                                  | 30. See Transactions button.        | User procced to screen with transaction history. Also here deposit address is shown, user can copy it via "Copy address" button. User can get back via clicking "<- All Payments" button.                                                                                                                                                                                                                                |          |
|                                  | 31. "Add funds" button              | "Add funds" button opens "Add Storj Tokens" popup window                                                                                                                                                                                                                                                                                                                                                                 |          |
|                                  | 32. Credit card block.              | User can see Credit cards were added, with "Update card" button                                                                                                                                                                                                                                                                                                                                                          |          |
|                                  | 33. Edit Default button.            | On click popup dialog with selecting default card opens. User should see the list of CC with radio button selector, "Update defaut card" button and Close dialog button                                                                                                                                                                                                                                                  |          |
|                                  | 34. Update Credit card.             | On click Update Card popup with Updating dialog opens. For Default card user can update card data (exclude CC number). For not default card - user can update card data or Delete card.                                                                                                                                                                                                                                  |          |
|                                  | 35. Billing history tab.            | User clicks "Billing history" tab. Table with billing history should be shown. Table has 4 columns: Date, Status, Amount, Download. Table has paginator and droplist where user can choose amount of rows per page.                                                                                                                                                                                                      |          |
|                                  | 36. Invoice.                        | In Download column user can see link to open Stripe invoice                                                                                                                                                                                                                                                                                                                                                              |          |
|                                  | 37. Coupons tab.                    | User clicks "Coupons" tab. User can see applied coupon and it's status, button to Adding another coupon                                                                                                                                                                                                                                                                                                                  |          |
|                                  | 38. Add Coupon button.              | On click "Add coupon" button - popup Add coupon opens. User should see warning about deactivating previous coupon, input field for the new coupon code, add coupon button and Close button                                                                                                                                                                                                                               |          |
|                                  | 39. Coupons functional              | User can use only one coupon. in case of applying new coupon - the old one should be overwritten.                                                                                                                                                                                                                                                                                                                        |          |
